News:

SMF 2.1.3 has been released! Take it for a spin! Read more.

Main Menu

Visual Warning Mod

Started by Eleglin, July 31, 2007, 08:53:40 AM

Previous topic - Next topic

GunDude

Quote from: GunDude on December 14, 2009, 11:34:48 AM
This is a GREAT mod, thanks to the original authors and current support people! 

I have an issue, and it was the same with 1.1.10 and now 1.1.11 --

Post Moderation does not work.  You can give someone this level, and when they post it still gets posted in the forum, never having a chance for it to be moderated.

Everything else with this mod seems to work fine, but it'd be even better if that function worked.

Thanks in advance.

I never received a fix for the above problems.... error log fills with errors, and post moderation DOES NOT work.

Any help is appreciated! I love the mod, but wish it all worked properly.  SMF 1.1.11 is what I have, default theme with different color is what I use.

kermitthefrog

I wonder if someone can help.
With the VisualWarning 1.41 on SMF 1.11 I get:
An Error Has Occurred!
Unable to load the 'main' template.

when trying to warn someone, no custom theme is being used.

kt84

Hi, I like this mod, although i got a problem from which I am not able to find the Source.
When the Warn level is raised to level 2 or 3 (moderated posts or muted posts) I get the following error when replying to a topic:
You do not have the permission to modify this message.

Does anybody has a clue where the mistake lays?
I got SMF 1.1.11 with germant utf8 language files. Btw the installworked and i also edited the Custom Theme I am using according to the install readme.

Dorte

Sorry for asking, but I didn't quite understand this from the description: Is the warning level always public or can it be set so that only admins and mods can see it?

Kindred

I believe it is always public with this mod.
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Dorte

Thanks for replying, Kindred! :)
That would be a pity indeed. I'd like users to know that they're warned but I don't want to give other users the opportunity to point and laugh... Is there any warning mod that can be set for more privacy?

Kindred

upgrade to smf 2.0? Post moderation is built in.
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

aerolite

But the built in was really bad, Is it possible to show in which post/topic he got this WARNING?

Quexinos

Quote from: GunDude on March 03, 2010, 08:38:42 PM
Quote from: GunDude on December 14, 2009, 11:34:48 AM
This is a GREAT mod, thanks to the original authors and current support people! 

I have an issue, and it was the same with 1.1.10 and now 1.1.11 --

Post Moderation does not work.  You can give someone this level, and when they post it still gets posted in the forum, never having a chance for it to be moderated.

Everything else with this mod seems to work fine, but it'd be even better if that function worked.

Thanks in advance.

I never received a fix for the above problems.... error log fills with errors, and post moderation DOES NOT work.

Any help is appreciated! I love the mod, but wish it all worked properly.  SMF 1.1.11 is what I have, default theme with different color is what I use.
I apologize as I don't have a fix for you but I have the same problem, anyone know what the deal is? 
I'd appreciate any advice except "upgrade to 2.0" please.

davyp74

Hi,
it's possible to show the user warnings near the avatar in post page?

Kindred

yes... modify the installation on display.template.php
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

davyp74

Quote from: Kindred on July 27, 2010, 02:23:18 PM
yes... modify the installation on display.template.php

thank you but i don't know how can i do.
Can you help me?

Eleglin

Quote from: Dorte on April 28, 2010, 02:28:25 PM
Sorry for asking, but I didn't quite understand this from the description: Is the warning level always public or can it be set so that only admins and mods can see it?
Possible to hide. Option added since 1.4b - July 2007
Take a look at the options of the mod, in administration center.
Have a nice day.
No support by PM or Mail.

maggieberry

Hi there!
I'm totally new to SMF, and I've been working with this mod for hours at this point. I've read the instructions on editing the files if an error comes up, and I honestly cannot figure it out. I would find the add's and not the find's (if you catch my drift). I am learning--I've managed to install a dozen mods without problems and get the board up and running--I am just having a lot of troubles with this one, so any help would be great.

Aside from the language packs, which I am guessing aren't a problem, this is the error I'm getting during install:

7.     Execute Modification     ./Sources/Post.php     Test failed

Please be gentle! Total newbie here. Thanks so much in advance.

Oh--version 1.1.11

Kindred

it means that the section of code that the auto-installer is trying to find is not there.... usually because another mod has already modified it. On the mod page is a "parser". find the edits you need to make to Post.php and manually make them on your own system using ftp and a text editor.
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

maggieberry

Thanks for the reply Kindred!
I did go to a parser site here:
http://resourcez.biz/PackageParser/

but I did not understand what I was supposed to do with the information given once I uploaded my file.

I also went to the mod site where the install instructions are here:
http://custom.simplemachines.org/mods/index.php?action=parse

but, again, I have little idea of what to do. Could you at least tell me if I'm on the right path?

Do I open the modification.xml and do the edits from the 2nd link that are for the Post.php? For instance (I know, it's shocking I'm running a board, but like I said, I've never used an open source board software before--I do have a linux os though, so anyways--coming from Zetabords--frown), the first one says:

Find: [Select]

            'is_last' => true,
         ),

Replace With: [Select]

         ),
         'visualwarning' => array(
            'title' => $txt['visual_warning_mod'],
            'href' => $scripturl . '?action=featuresettings;sa=visualwarning;sesc=' . $context['session_id'],
            'is_last' => true,
         ),


So I find the string of code in the first box and add the string of code after that string from the second box (I did read the online how to as it pertains to xml, so not totally clueless there).

And then, for the ones where the find is missing do I basically look for the after and replace the code inside of search with the finds?

maggieberry

I wanted to add that I do believe I have since correctly edited the file to no avail. I also uninstalled all of my mods and deleted them to try to get this one to work, and it's still coming up with the same error. Any help would be great. We would really like to have this mod installed.

Kindred

you have to install the mod fully, despite the error and THEN, in addition, make the manul edit (yes, the way you describe)

Also, one 1.1.x, you may have to manually modify any of your custom theme *.template.php files
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

maggieberry

OHHHHHHHHHHHHH....lol

Dang dude! I was seriously giving my migraine a migraine over this last night! It made no sense whatsoever to me in so many different ways, but now that you've told me to install it fully, I have complete understanding, and I thank you so very much!!! I will let you know how it goes!

maggieberry

Kindred,
I edited the file, zipped it back in with filezilla onto my server where the packages are with an overwrite--so what do I do now? Anything? Luckily we don't have any custom themes set up yet. Figured we'd do all of the mods first before the themes so that we could square away which ones don't work and will need modified versus having to discover it at a later time.

Advertisement: